explain_fstatfs_or_die(3)

NAME
explain_fstatfs_or_die - get file system statistics and report errors

SYNOPSIS
#include <libexplain/fstatfs.h>

void explain_fstatfs_or_die(int fildes, struct statfs *data);
int explain_fstatfs_on_error(int fildes, struct statfs *data);

DESCRIPTION
The explain_fstatfs_or_die function is used to call the fstatfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatfs(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fstatfs_on_error function is used to call the fstatfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatfs(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fstatfs(2) system call.

data
    The data, exactly as to be passed to the fstatfs(2) system call.

RETURN VALUE
The explain_fstatfs_or_die function only returns on success, see fstatfs(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fstatfs_on_error function always returns the value return by the wrapped fstatfs(2) system call.

EXAMPLE
The explain_fstatfs_or_die function is intended to be used in a fashion similar to the following example:
    explain_fstatfs_or_die(fildes, data);

SEE ALSO

fstatfs(2)
    get file system statistics

explain_fstatfs(3)
    explain fstatfs(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller